## org.biojava.bio.dp
Interface State

All Superinterfaces:
  Annotatable, AtomicSymbol, BasisSymbol, Changeable, Symbol

All Known Subinterfaces:
  DotState, EmissionState, ModelInState

All Known Implementing Classes:
  MagicalState, ProfileEmissionState, SimpleDotState, SimpleEmissionState, SimpleModelInState

    public interface State

extends AtomicSymbol

A state in a markov process.

This signals that this object can sit inside a model.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary

Methods inherited from interface org.biojava.bio.symbol.BasisSymbol
`getSymbols`

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getMatches, getName`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`